@use "../../styles//theme.scss" as *;

.search {
    margin-top: 2rem;
}

.label {
    color: map-get($colors, "color-accent-500");
}

.dateInput {
    & > div {
        flex: 1 1 0;
    }
}

.input {
    color: map-get($colors, "color-text");
    padding: 0.6rem 1rem;
    font-size: 1.3rem;
    background-color: map-get($colors, "color-dark-fg");
    border: 1px solid map-get($colors, "color-dark-border");
    border-radius: 13px;

    &:focus {
        color: map-get($colors, "color-text");
        padding: 0.6rem 1rem;
        background-color: map-get($colors, "color-dark-bg");
        border: 1px solid map-get($colors, "color-accent-400");
        border-radius: 13px;
        box-shadow: none;
    }
}

.inputIcon {
    color: map-get($colors, "color-accent-500");
    fill: currentcolor;
    min-width: 32px;
    padding-left: 12px;
    position: relative;
    float: right;
    margin-right: 15px;
    margin-top: -40px;
    color: map-get($colors, "color-accent-400");
    cursor: pointer;
}

.hidden {
    display: none;
}

.results {
    margin-top: 2rem;
}

.result {
    display: flex;
    flex-direction: column;
    margin: 1rem 0;
    padding: 1rem 1.2rem 1rem 1.2rem;
    font-size: 0.9rem;
    border-radius: 13px;
    min-height: 9rem;
    background-color: map-get($colors, "color-dark-fg");
    border: 1px solid map-get($colors, "color-dark-border");
    cursor: pointer;
    transition: all 200ms;

    &:hover {
        box-shadow: 0px 4px 5px 0px hsla(0, 0%, 0%, 0.14), 0px 1px 10px 0px hsla(0, 0%, 0%, 0.12),
            0px 2px 4px -1px hsla(0, 0%, 0%, 0.2);
        transform: translateY(-1px);
    }
}

.description {
    flex: 1 1 0;
    display: flex;
    justify-content: space-between;
    align-items: flex-end;
    margin-top: 1rem;

    p {
        margin: 0;
        color: map-get($colors, "color-accent-300");
        font-size: 0.75rem;
    }
}

.date {
    margin-bottom: 0.4rem;
    font-size: 0.75rem;
    color: map-get($colors, "color-grey-500");
}
